Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gr.forth.ics.vrp.corevrp.parser
Class parser

    java.lang.Object
      |
      +--java_cup.runtime.lr_parser
            |
            +--gr.forth.ics.vrp.corevrp.parser.parser

public class parser
extends java_cup.runtime.lr_parser

CUP v0.10j generated parser.

See Also:
  Serialized Form

Field Summary
`protected static short[][]` | `_action_table` Parse-action table.
`protected static short[][]` | `_production_table` Production table.
`protected static short[][]` | `_reduce_table` `reduce_goto` table.
`protected gr.forth.ics.vrp.corevrp.parser.CUP$parser$actions` | `action_obj` Instance of action encapsulation class.
`int` | `error_count` Counting reported errors.
`String` | `filename` Containing the name of the file we are parsing.
`String` | `syn_err_message` Message for Syntax errors.
`Model` | `this_model` The model we want to store the triples at.
`int` | `warn_count` Counting reported warnings.

Constructor Summary
`parser()` Default constructor.
`parser(java_cup.runtime.Scanner s)` Constructor which sets the default scanner.
`parser(String input, Model model)` Parser called with String or with String and Model.

Method Summary
`short[][]` | `action_table()` Access to parse-action table.
`java_cup.runtime.Symbol` | `do_action(int act_num, java_cup.runtime.lr_parser parser, Stack stack, int top)` Invoke a user supplied parse action.
`int` | `EOF_sym()` `EOF` Symbol index.
`int` | `error_sym()` `error` Symbol index.
`boolean` | `getdebug()`
`long` | `getextParsingTime()` Returns the time required to parse external namespaces
`boolean` | `getfetch_all()`
`boolean` | `getonly()`
`boolean` | `getsimple()`
`boolean` | `gettriples()`
`boolean` | `getverbose()`
`protected void` | `init_actions()` Action encapsulation object initializer.
`short[][]` | `production_table()` Access to production table.
`short[][]` | `reduce_table()` Access to `reduce_goto` table.
`void` | `report_error(String message, Object info)` Report a non fatal error (or warning).
`void` | `report_fatal_error(String message, Object info)` Report a fatal error.
`void` | `report_warning(String message, Object obj)` Printing a warning and counting them.
`void` | `report(String message, Object info)`
`java_cup.runtime.Symbol` | `scan()` Scan to get the next Symbol.
`void` | `setdebug(boolean b)` The option 'debug' - will be change the corresponding option at the used lexer for printing debugging details.
`void` | `setfetch_all(boolean b)` The option 'fetch_all' - all explicit stated namespaces will be fetched and included to teh generated model.
`void` | `setonly(boolean b)` The only option - parser will not send the triples to the model.
`void` | `setsimple(boolean b)` The option 'simple' - the parser is using the simple scanner.
`void` | `settriples(boolean b)` The option 'triples' - the triples generated by the parser will be send to Output.
`void` | `setverbose(boolean b)` The option 'verbose' - some more informations will be printed to Output.
`int` | `start_production()` Indicates start production.
`int` | `start_state()` Indicates start state.
`void` | `syntax_error(Symbol cur_token)` This method is called when a syntax error has been detected and recovery is about to be invoked.
`void` | `user_init()` User initialization code.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _production_table

    protected static final short[][] _production_table

  Production table.

### _action_table

    protected static final short[][] _action_table

  Parse-action table.

### _reduce_table

    protected static final short[][] _reduce_table

  `reduce_goto` table.

### action_obj

    protected gr.forth.ics.vrp.corevrp.parser.CUP$parser$actions action_obj

  Instance of action encapsulation class.

### error_count

    public int error_count

  Counting reported errors.

### syn_err_message

    public String syn_err_message

  Message for Syntax errors.

### warn_count

    public int warn_count

  Counting reported warnings.

### filename

    public String filename

  Containing the name of the file we are parsing. Used by action code.

### this_model

    public Model this_model

  The model we want to store the triples at.

Constructor Detail

### parser

    public parser()

  Default constructor.

### parser

    public parser(java_cup.runtime.Scanner s)

  Constructor which sets the default scanner.

### parser

    public parser(String input,
                  Model model)

  Parser called with String or with String and Model.

Method Detail

### production_table

    public short[][] production_table()

  Access to production table.

### action_table

    public short[][] action_table()

  Access to parse-action table.

### reduce_table

    public short[][] reduce_table()

  Access to `reduce_goto` table.

### init_actions

    protected void init_actions()

  Action encapsulation object initializer.

### do_action

    public java_cup.runtime.Symbol do_action(int act_num,
                                             java_cup.runtime.lr_parser parser,
                                             Stack stack,
                                             int top)
                                      throws Exception

  Invoke a user supplied parse action.

    `Exception`

### start_state

    public int start_state()

  Indicates start state.

### start_production

    public int start_production()

  Indicates start production.

### EOF_sym

    public int EOF_sym()

  `EOF` Symbol index.

### error_sym

    public int error_sym()

  `error` Symbol index.

### user_init

    public void user_init()
                   throws Exception

  User initialization code.

    `Exception`

### scan

    public java_cup.runtime.Symbol scan()
                                 throws Exception

  Scan to get the next Symbol.

    `Exception`

### setonly

    public void setonly(boolean b)

  The only option - parser will not send the triples to the model. The default setting is 'false'. By turning the only option on the fetch_all option will be deactivated.

### getonly

    public boolean getonly()

### settriples

    public void settriples(boolean b)

  The option 'triples' - the triples generated by the parser will be send to Output. The default setting is 'false'.

### gettriples

    public boolean gettriples()

### setsimple

    public void setsimple(boolean b)

  The option 'simple' - the parser is using the simple scanner. The default setting is 'false'.

### getsimple

    public boolean getsimple()

### setfetch_all

    public void setfetch_all(boolean b)

  The option 'fetch_all' - all explicit stated namespaces will be fetched and included to teh generated model. The default setting is 'false'. By turning the fetch_all option on the only option will be deactivated.

### getfetch_all

    public boolean getfetch_all()

### setverbose

    public void setverbose(boolean b)

  The option 'verbose' - some more informations will be printed to Output. The default setting is 'false'.

### getverbose

    public boolean getverbose()

### setdebug

    public void setdebug(boolean b)

  The option 'debug' - will be change the corresponding option at the used lexer for printing debugging details. The default setting is 'false'.

### getdebug

    public boolean getdebug()

### getextParsingTime

    public long getextParsingTime()

  Returns the time required to parse external namespaces

### report_warning

    public void report_warning(String message,
                               Object obj)

  Printing a warning and counting them.

### report_fatal_error

    public void report_fatal_error(String message,
                                   Object info)
                            throws Exception

  Report a fatal error. This method takes a message string and an additional object (to be used by specializations implemented in subclasses).

  Parameters:
    `message` - an error message.
    `info` - an extra object reserved for use by specialized subclasses.
    `Exception`

### report_error

    public void report_error(String message,
                             Object info)

  Report a non fatal error (or warning). This method takes a message string and an additional object (to be used by specializations implemented in subclasses).

  Parameters:
    `message` - an error message.
    `info` - an extra object reserved for use by specialized subclasses.

### report

    public void report(String message,
                       Object info)

### syntax_error

    public void syntax_error(Symbol cur_token)

  This method is called when a syntax error has been detected and recovery is about to be invoked.

  Parameters:
    `cur_token` - the current lookahead Symbol.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD